curl --request POST \
--url https://{host}/cleemy/services/v3/createExpenseAccountingExport \
--header 'Authorization: <authorization>'"Accounting date;Journal;Account;Auxilliary;Analytic;Label;Exp. Num;Debit;Credit\n31/01/2025;Exp;421000;421001;;Exp Richard Jules - 01/25;2186;0,00;267,47\n31/01/2025;Exp;625600;;CC03;Exp Richard Jules - 01/25;2186;200,00;0,00\n31/01/2025;Exp;625100;;CC02;Exp Richard Jules - 01/25;2186;67,47;0,00\n10/02/2025;Exp;421000;421000;;Exp Alibert Chloe - 02/25;2194;0,00;63,43\n10/02/2025;Exp;467000;;CC04;Exp Alibert Chloe - 02/25;2194;52,86;0,00\n10/02/2025;Exp;445660;;CC04;Exp Alibert Chloe - 02/25;2194;10,57;0,00\n"Create a new export and retrieve the export content directly in the response body for a given business-establishment.
In the v3 API model, the business-establishment is often called “legal-entity”. As a result, the legalEntityId query parameter corresponds to the ID of a business-establishment.
The response contains all the exported entry lines for the given business-establishment.
The date query parameters can operate comparisons with a given date-time value. For examples :
?approvedOn=2021-01-01: strict equality.?approvedOn=since,2021-01-01: greater than or equal.?approvedOn=until,2021-01-01: lower than or equal.?approvedOn=between,2021-01-01,2021-01-31: comprised between two dates.curl --request POST \
--url https://{host}/cleemy/services/v3/createExpenseAccountingExport \
--header 'Authorization: <authorization>'"Accounting date;Journal;Account;Auxilliary;Analytic;Label;Exp. Num;Debit;Credit\n31/01/2025;Exp;421000;421001;;Exp Richard Jules - 01/25;2186;0,00;267,47\n31/01/2025;Exp;625600;;CC03;Exp Richard Jules - 01/25;2186;200,00;0,00\n31/01/2025;Exp;625100;;CC02;Exp Richard Jules - 01/25;2186;67,47;0,00\n10/02/2025;Exp;421000;421000;;Exp Alibert Chloe - 02/25;2194;0,00;63,43\n10/02/2025;Exp;467000;;CC04;Exp Alibert Chloe - 02/25;2194;52,86;0,00\n10/02/2025;Exp;445660;;CC04;Exp Alibert Chloe - 02/25;2194;10,57;0,00\n"API key. Value must be formatted like so: lucca application={api_key}.
ID of the business-establishment for which entry lines will be exported.
The accountingDate parameter is not used here as a filter, but to override the accounting date of the exported entry lines to a specific date.
{comparator},{date-time}
{comparator},{date-time}
The export file is successfully generated.
Content of the export file.
Was this page helpful?